CVE-2016-8882

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The jpc_dec_tilefini function in libjasper/jpc/jpc_dec.c in JasPer before 1.900.8 allows remote attackers to cause a denial of service (NULL pointer dereference and crash) via a crafted file.

References

http://www.debian.org/security/2017/dsa-3785

http://www.openwall.com/lists/oss-security/2016/10/17/1

http://www.openwall.com/lists/oss-security/2016/10/23/8

http://www.securityfocus.com/bid/95864

https://github.com/mdadams/jasper/issues/30

Details

Source: MITRE

Published: 2017-01-13

Updated: 2017-11-04

Type: CWE-476

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 1.8

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:jasper_project:jasper:*:*:*:*:*:*:*:* versions up to 1.900.7 (inclusive)

Tenable Plugins

View all (12 total)

IDNameProductFamilySeverity
142231EulerOS 2.0 SP2 : jasper (EulerOS-SA-2020-2350)NessusHuawei Local Security Checks
high
110739EulerOS 2.0 SP3 : jasper (EulerOS-SA-2018-1163)NessusHuawei Local Security Checks
medium
100294Ubuntu 14.04 LTS / 16.04 LTS : jasper vulnerabilities (USN-3295-1)NessusUbuntu Local Security Checks
high
97090Debian DSA-3785-1 : jasper - security updateNessusDebian Local Security Checks
high
95664Debian DLA-739-1 : jasper security updatNessusDebian Local Security Checks
high
94945openSUSE Security Update : jasper (openSUSE-2016-1309)NessusSuSE Local Security Checks
high
94729SUSE SLES11 Security Update : jasper (SUSE-SU-2016:2776-1)NessusSuSE Local Security Checks
high
94728SUSE SLED12 / SLES12 Security Update : jasper (SUSE-SU-2016:2775-1)NessusSuSE Local Security Checks
high
94689Fedora 23 : jasper (2016-6c789ba91d)NessusFedora Local Security Checks
high
94662Fedora 24 : jasper (2016-e0f0d48142)NessusFedora Local Security Checks
high
94601openSUSE Security Update : jasper (openSUSE-2016-1270)NessusSuSE Local Security Checks
high
94596openSUSE Security Update : jasper (openSUSE-2016-1263)NessusSuSE Local Security Checks
high